<?php
/* CommitLoader.class.php - phpgitweb
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

class CommitLoader {
	private $project;
	
	public function __construct($project) {
		$this->project = $project;
	}
	
	public function load($id) {
		if(!Validation::validate_hash($id)) {
			trigger_error("Invalid hash parameter", E_USER_ERROR);
			return false;
		}
		$commit = GitCommand::get_commit($this->project['path'], $id);
		return $commit;
	}
	
	
}
